<?
header ('Access-Control-Allow-Origin: *');
session_start();

include 'php/includes/config.php'; 
include 'php/includes/mysql.php';
include 'php/includes/sessoes.php';
include 'php/includes/lib.php';

function datapadrao($data){ 
	if($data){
		return(str_pad(substr($data,8,2),2,0,STR_PAD_LEFT)."/".str_pad(substr($data,5,2),2,0,STR_PAD_LEFT)."/".substr($data,0,4)) . ' '. substr($data,11,8);
	}
}

if (SessaoOK()) {

?>

<style>

.table-data2.table tbody td{
	padding: 15px 25px;
}

input[type='file'] {
  display: none
}

/* Aparência que terá o seletor de arquivo */
.foto {
  
 color: #2196f3;
  background-color: #fff;
  cursor: pointer;
  
  
}
</style>


<script> incluirscriptumavez("js/acompanhar-processo.js"); </script>
<script>

	function atualizarPaginater(){
		$.blockUI({ message: '<h1><img src="imagem/loading.gif" /></h1>' });
		$("#centro").load("solicitar-alvara.php", function() { 
			 $.unblockUI();																									
		});
	}
	
</script>

<?
	$codusuario = $_SESSION[login][cl_codigo_inscricao];
	$codsolicitacao = $_GET['codsolicitacao'];
	$tipo = $_GET['tipo'];
	
	echo '<input type="hidden" id="codsolicitacao" value="'.$codsolicitacao.'" />';
	
?>

<section class="welcome p-t-10">
 <div class="container">
    <div class="row">
		<div class="col-md-12">
			
			<div class="overview-wrap">
				<? if($tipo == 'ALVARA'){ ?>
					<h3 class="pb-2 display-5">Acompanhe seu processo - Alvará de funcionamento</h3>
				<? }else{ ?>
					<h3 class="pb-2 display-5">Acompanhe seu processo - Documentação</h3>
				<? } ?>
				
				<button class="au-btn au-btn-icon au-btn--blue" onClick="atualizarPaginater();" style="background-color:#df7401">
					<i class="zmdi zmdi-arrow-left"></i>Voltar</button>
					
			</div>
		</div>
	</div>
    <br>
	
	<div class="row">
		<div class="col-lg-12">
			
			<div class="card">
				<div class="card-body">
					
					<?
						$sql = dbQuery("SELECT * FROM {$cfg[dbnametributo]}.tb_solicitacao WHERE cl_codigo_pessoa = '$codusuario' AND cl_codigo_solicitacao = '$codsolicitacao'");
						
						while($r=dbfetcharray($sql)){
						
							$datasol = $r[cl_data_solicitacao]; 
							$status = $r[cl_status];
							$motivo = $r[cl_motivo];
							$alvara_tipo = $r[cl_alvara_tipo];
							$processo = $r[cl_codigo_processo];
							$docbanco = $r[cl_documento];
							$documento = $urlbase_doc_emitido.$r[cl_documento];
							
							if($status == 'Pendente'){
								$dot = '<span class="dot dot--red" style="background-color:#f6f94c"></span>';
							}else if($status == 'Aceito' || $status == 'Finalizado'){
								$dot = '<span class="dot dot--green"></span>';
							}else if($status == 'Recusado' || $status == 'Cancelado'){
								$dot = '<span class="dot dot--red"></span>';
							}
							
						} 
						
						//list($id)=dbfetchlist("select cl_codigo_solicitacao FROM {$cfg[dbnametributo]}.tb_solicitacao WHERE cl_codigo_pessoa = '$codusuario' AND cl_status != 'Cancelado' ORDER BY cl_codigo_solicitacao DESC LIMIT 1");
						//echo "<input id='codsolicitacao' value='$id' type='hidden' />";
							
					?>
					
					<div class="row" style="">
						
						<div class="col-lg-12">
							<h4 class="p-2 display-5" style="font-weight:400"><i class="fa fa-calendar"></i> Data da solicitação: <strong><? echo datapadrao($datasol); ?></strong></h4>
						</div>

						<div class="col-lg-12">
							<h5 class="p-2 display-5" style="font-weight:400"><? echo $dot .' Solicitação '. $status; ?></h5>
						</div>
						<? 
						if($status == 'Recusado'){ 
						
							echo'<div class="col-lg-12">
									<div class="alert alert-danger" role="alert">
										Motivo da recusa
										<br><strong style="font-weight:400" >'.$motivo.'</strong>
									</div>
								</div>';
						
						} 
						if($status == 'Aceito' || $status == 'Finalizado'){ 
						
							echo'<div class="col-lg-6">
									<div class="alert alert-success" role="alert">
										Processo nº '.$processo.'
									</div>
								</div>';
						
						}
						if($docbanco){
							echo'<div class="col-lg-12">
								</div>
								<div class="col-lg-6">
									
									<a href="'.$documento.'" target="_blank"><img src="images/pdf.png" style="width:100px;margin-bottom:10px">
									<p style="color:#6e6e6e ">Baixar documento</p></a>
									
								</div>';
						}
						?>
						
					</div>
					<br>
					<div class="container">
					<div class="row">
						
						<div class="table-responsive table-responsive-data2">
							<table class="table table-data2">
								<p style="margin-bottom:10px;font-size: 14px;color: #555;font-weight: 600;">DOCUMENTAÇÃO NECESSÁRIA</p>
								
								<tbody style="padding:10px">
									<?
					
									if($tipo == 'ALVARA'){	
										$cnae = $_SESSION[login][cl_codigo_cnae];	
										list($tipoalv)= dbFetchList($c="select cl_alvara_tipo from {$cfg[dbnametributo]}.tb_alvara_tipo_cnae WHERE cl_codigo_cnae = '$cnae'");
										
										if($tipoalv){
											
											echo "<input id='tipoalv' value='".$tipoalv."' type='hidden' />";
											$q2 = dbQuery("select cl_codigo_alvara_documentacao,cl_descricao from {$cfg[dbnametributo]}.tb_alvara_tipo_documentacao WHERE cl_alvara_tipo = '$tipoalv'");
											
										}else{
											echo "<input id='tipoalv' value='GERAL' type='hidden' />";
											$q2 = dbQuery("select cl_codigo_alvara_documentacao,cl_descricao from {$cfg[dbnametributo]}.tb_alvara_tipo_documentacao WHERE cl_alvara_tipo = 'GERAL'");
										
										}
									}
									
									$qtdarquivo = 0;
									while($r2=dbfetcharray($q2)){
										
										$qtdarquivo = $qtdarquivo + 1;
										
										$qsol = dbQuery("select cl_codigo_solicitacao_arquivo from {$cfg[dbnametributo]}.tb_solicitacao_arquivo WHERE cl_codigo_solicitacao = '$codsolicitacao' AND cl_codigo_alvara_documentacao = '$r2[cl_codigo_alvara_documentacao]'");
										
										if(dbNumRows($qsol) > 0){
											$up = 1;
											$btn = 'success';
											$txtbtn = 'Substituir documento';
										}else{
											$up = 0;
											$btn = 'primary';
											$txtbtn = 'Adicionar documento';
										}
										
									?>
									<tr class="tr-shadow" style="border: 1px solid #e1e1e1;">
										
										<td style="width:1%">
											<div class="table-data-feature">
												
												<label for="selecao-arquivo<? echo $qtdarquivo; ?>" class="foto">
												
												<div id="fotoperfil<? echo $qtdarquivo; ?>" class="btn btn-<? echo $btn; ?> btn-sm" style="border-radius:15px">
													<i class="fa fa-plus"></i> <? echo $txtbtn; ?>
													<input id='selecao-arquivo<? echo $qtdarquivo; ?>' onChange="mudafotoAc(<? echo $qtdarquivo; ?>);" type='file'>
												</div>
												
												</label>
												
												<input type="hidden"  id="doc<? echo $qtdarquivo; ?>"  />
												<input type="hidden"  id="tipo_imagem<? echo $qtdarquivo; ?>"  />
												<input type="hidden"  id="num_arquivo<? echo $qtdarquivo; ?>" value="<? echo $r2[cl_codigo_alvara_documentacao]; ?>"  />
												
											</div>
										</td>
										<td><? echo $r2[cl_descricao]; ?></td>
										
									</tr>
									<tr class="spacer"></tr>
									
									<? } 
										echo "<input id='qtd_arquivos' value='".$qtdarquivo."' type='hidden' />";
									?>
									
								</tbody>
							</table>
						</div>
						<? if($status != 'Aceito' && $status != 'Finalizado'){  ?>
						<div class="card-footer" style="border-top:none;background-color:white;border-radius:9px;float: right;width: 100%;">
							<div style="float:right">
							<button id="salvar_documentacao" class="btn btn-success btn-sm">
								<i class="fa fa-check"></i> Enviar documentos
							</button>
							</div>
						</div>
						<? } ?>
						
					</div>
					</div>
				
				</div>
			</div>
			
		</div>
	</div>
	
		 
</div>
						
						
						
						
</section> 

<script>


</script>

<?
}else{

echo "<script>window.location='index.php';</script>";

} 

?>			 
			 
			 
			 
			 