function FormataNumero(v, isMoney, dec, sep) {		
	if (dec == null){dec = 2;}
	if (sep == null){sep = ",";}	
	vatual = v.value;		
	vatual = RetiraSinais(vatual);
	if ((vatual.length >= 3) && (vatual.indexOf("0") == 0))
		vatual = vatual.substr(1, vatual.length -1);		
	if (vatual.length > dec) {
		if (isMoney) {
			Ndecimal = vatual.substr((vatual.length - dec),dec);
			vr = vatual.substring(0,(vatual.length - dec));											
		}
		else {
			vr = vatual;
		}
		tam = vr.length;	
		if (tam > 3) {
			indice = parseInt(tam / 3);
			resto = (tam % 3);		
			valor = "";
			for (i = 1; i <= indice; i++){			
				valor = vr.substr((tam - (3 * i)), 3) + valor ;			
				if ((indice != i) || (resto > 0))
					valor = "." + valor;			
			}
			if (resto >= 1)
				valor = vr.substr(0,resto) + valor;				
		}
		else {
			valor = vr;			
		}
		if (isMoney){
			valor = valor + sep + Ndecimal;
		}
		v.value = valor;
	}	
	else {
		if (isMoney) {
			if (vatual.length == 1)
				v.value = "0" + sep + "0" + vatual;
			else				
				v.value = "0" + sep + vatual;
		}		
	}	
}  


function sonumeros(pNum)
{
    return String(pNum).replace(/\D/g, "");
}


function RetiraSinais(vatual){	
	if ((vatual == null) || (vatual == "")) vatual = "0,00"
	while (vatual.indexOf(".") > -1)
		vatual = vatual.replace(".","");
	vatual = vatual.replace(",","");	
	return(vatual);
}
 
function incluirscriptumavez(file_path) {
	var sc = document.getElementsByTagName("script");
	for (var x in sc) {
		if (sc[x].src != null && 	sc[x].src.indexOf(file_path) != -1) {
			return false;
		}
	}
	incluirscript(file_path);
}

function incluirscript(file_path){
	var j = document.createElement("script"); 
	j.type = "text/javascript"; 
	j.src = file_path; 
	j.charset = "ISO-8859-1";
	document.body.appendChild(j); 
}

function dataAtualFormatada(dataatual){
   if(dataatual != ''){ 
	var data = dataatual;
    split = data.split('/');
    novadata = split[2] + "-" +split[1]+"-"+split[0];
    return novadata;
   }else{
	   return "";
   }
}

// Valida Cnpj
function validarCNPJ(cnpj) {
 
    cnpj = cnpj.replace(/[^\d]+/g,'');
 
    if(cnpj == '') return false;
     
    if (cnpj.length != 14)
        return false;
 
    // Elimina CNPJs invalidos conhecidos
    if (cnpj == "00000000000000" || 
        cnpj == "11111111111111" || 
        cnpj == "22222222222222" || 
        cnpj == "33333333333333" || 
        cnpj == "44444444444444" || 
        cnpj == "55555555555555" || 
        cnpj == "66666666666666" || 
        cnpj == "77777777777777" || 
        cnpj == "88888888888888" || 
        cnpj == "99999999999999")
        return false;
         
    // Valida DVs
    tamanho = cnpj.length - 2
    numeros = cnpj.substring(0,tamanho);
    digitos = cnpj.substring(tamanho);
    soma = 0;
    pos = tamanho - 7;
    for (i = tamanho; i >= 1; i--) {
      soma += numeros.charAt(tamanho - i) * pos--;
      if (pos < 2)
            pos = 9;
    }
    resultado = soma % 11 < 2 ? 0 : 11 - soma % 11;
    if (resultado != digitos.charAt(0))
        return false;
         
    tamanho = tamanho + 1;
    numeros = cnpj.substring(0,tamanho);
    soma = 0;
    pos = tamanho - 7;
    for (i = tamanho; i >= 1; i--) {
      soma += numeros.charAt(tamanho - i) * pos--;
      if (pos < 2)
            pos = 9;
    }
    resultado = soma % 11 < 2 ? 0 : 11 - soma % 11;
    if (resultado != digitos.charAt(1))
          return false;
           
    return true;
    
}

// Validar email
function IsEmail(email){
	email=email.trim();
    var exclude=/[^@\-\.\w]|^[_@\.\-]|[\._\-]{2}|[@\.]{2}|(@)[^@]*\1/;
    var check=/@[\w\-]+\./;
    var checkend=/\.[a-zA-Z]{2,3}$/;
    if(((email.search(exclude) != -1)||(email.search(check)) == -1)||(email.search(checkend) == -1)){return false;}
    else {return true;}
}