<?php

/**
 * PHPExcel
 *
 * Copyright (C) 2006 - 2011 PHPExcel
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 *
 * @category   PHPExcel
 * @package    PHPExcel
 * @copyright  Copyright (c) 2006 - 2011 PHPExcel (http://www.codeplex.com/PHPExcel)
 * @license    http://www.gnu.org/licenses/old-licenses/lgpl-2.1.txt	LGPL
 * @version    1.7.6, 2011-02-27
 */

/** Error reporting */
#error_reporting(E_ALL);

header ('Access-Control-Allow-Origin: *');
session_start();

include 'php/includes/config.php'; 
include 'php/includes/mysql.php';
include 'php/includes/sessoes.php';

function datapadrao($data){ 
	if($data){
		return(str_pad(substr($data,8,2),2,0,STR_PAD_LEFT)."/".str_pad(substr($data,5,2),2,0,STR_PAD_LEFT)."/".substr($data,0,4)) . ' '. substr($data,11,8);
	}
}	


function dias($inicio,$codigo){
	
 $codatendimento = $codigo;
	
 list($data_fim,$status,$tempo,$data_recomeco)=dbfetchlist("SELECT DATA_FIM, STATUS, TEMPO, DATA_RECOMECO FROM OS WHERE CODIGO = '$codatendimento'");
	
	if($status != 'PAUSADO'){
		
	 if($data_recomeco != "0000-00-00 00:00:00" && $data_recomeco){

        $inicio = $data_recomeco;
	 }		 
		
	 if($inicio !== '0000-00-00'){
	  $feriados = [
			'2019-12-25',
			'2019-12-26',
			'2020-01-01'
		]; 
	  date_default_timezone_set('America/Belem');
       $hoje = date("Y-m-d H:i:s");
	   if($data_fim){
		   
		   $fim = substr($data_fim,0,10);
		   $datafimcompleta = $data_fim;
	   }else{
		   
		   $fim = substr($hoje,0,10);
		   $datafimcompleta = $hoje;
	   } 
       $iniciodata = substr($inicio,0,10);
       $dias = getDiasUteis($iniciodata, $fim,$feriados);
	    if($dias == 1 ){
		 		  
			$horainicio = substr($inicio,11,20);
			$horainicio = DateTime::createFromFormat('H:i:s', $horainicio);
			 $horafim = substr($datafimcompleta,11,20);
			 $horafim = DateTime::createFromFormat('H:i:s', $horafim);
			$intervalo = $horainicio->diff($horafim);
		
          if($tempo){
			 
            $tempototal = somaHoras($tempo,$intervalo->format('%H:%I:%S'));
			 
			list( $h1, $m1, $s1 ) = explode( ':', $tempototal );
		    return $tempototal;
			/* if($h1 > 23){
				
				$diasretorno = round($h1/24);
				$horaretorno = $h1 % 24;
				
				if($horaretorno < 10){

				   $horaretorno = "0".$horaretorno;
				}	
				
				$horafinal = $horaretorno.":".$m1.":".$s1;
				
				if($diasretorno == 1){
					return $diasretorno." dia e ".$horafinal;
				}else{
					return $diasretorno." dias e ".$horafinal;
				}
			}else{  
			  
                
			} */
		  }else{			  
			return $intervalo->format('%H:%I:%S');
		  }
			
		}else{
			
			$diareal = $dias - 1;
			
			$horasdias = $diareal * 24;
			
			$horainicio = substr($inicio,11,20);
			$horainicio = DateTime::createFromFormat('H:i:s', $horainicio);
			 $horafim = substr($datafimcompleta,11,20);
			 $horafim = DateTime::createFromFormat('H:i:s', $horafim);
			$intervalo = $horainicio->diff($horafim);
			
			$horas = $intervalo->format('%H:%I:%S');
			
			list( $h1, $m1, $s1 ) = explode( ':', $horas );
			
			$h = $horasdias + $h1;
			
			return $h.":".$m1.":".$s1;
			
			/* if($diareal == 1){
				return $diareal." dia e ".$horas;
			}else{
				return $diareal." dias e ".$horas;
			} */
		}
	    
		}else{
		   return '0';
		}
	}else{
       /*  list( $h1, $m1, $s1 ) = explode( ':', $tempo );
		
		if($h1 > 23){
			
			$diasretorno = round($h1/24);
			$horaretorno = $h1 % 24;
			
			if($horaretorno < 10){

			   $horaretorno = "0".$horaretorno;
			}	
			
			$horafinal = $horaretorno.":".$m1.":".$s1;
			
			if($diasretorno == 1){
				return $diasretorno." dia e ".$horafinal;
			}else{
				return $diasretorno." dias e ".$horafinal;
			}
		}else{ */
		
             return $tempo;
		//}
	}	
}	

if (SessaoOK()) {
	
require_once 'Classes/PHPExcel/IOFactory.php';

$objPHPExcel = PHPExcel_IOFactory::load("relatorio-tempo-atendimento.xlsx");

$datainicio = $_GET['datainicio'];
	$datafim = $_GET['datafim'];


$texto = 'à';
		if($datainicio && $datafim){
		  if($datainicio == $datafim){
            $data = date('d/m/Y', strtotime($datainicio));
		  }else{			  
			$data = date('d/m/Y', strtotime($datainicio)) . " $texto " . date('d/m/Y', strtotime($datafim));
		  }
		}else if($datainicio && !$datafim){
			$data = date('d/m/Y', strtotime($datainicio)) . " em diante ";
			
		}else if(!$datainicio && $datafim){
			$data =  " Até " . date('d/m/Y', strtotime($datafim));
			
		}
		 

	date_default_timezone_set('America/Belem');

	$hoje = date('Y-m-d');
	$wheredata = "";
	if($datainicio != '' && $datafim != ''){ 
	$wheredata = "AND DATA_INICIO BETWEEN ('" . $datainicio ." 00:00:00') AND ('" .$datafim." 23:59:59')";

	}else if($datainicio != '' && $datafim == ''){
	$wheredata = "AND DATA_INICIO >= ".  "'" .$datainicio." 00:00:00'";
	}else if($datainicio == '' && $datafim != ''){
	$wheredata = "AND DATA_INICIO <= ".  "'" .$datafim." 23:59:59'";
	}else{
	$wheredata = "AND DATA_INICIO >= '".$hoje." 00:00:00' AND DATA_INICIO <= '".$hoje." 23:59:59'";
	}


	$sql = dbQuery("SELECT CODIGO,NOME FROM LOGIN WHERE SNATIVO = 'S' AND CODIGO != 10  ORDER BY NOME ASC");
	
	
	$objPHPExcel->setActiveSheetIndex(0)
            ->setCellValue('B3', $data);

    $i = 7;	

	while($r=dbfetcharray($sql)){
	$codusuario = $r['CODIGO'];
	$sql2 = dbQuery("SELECT CODIGO,DATA_INICIO FROM OS WHERE COD_USUARIO = '$codusuario' AND STATUS != 'CANCELADO' $wheredata");
	$totaltempo = '00:00:00'; 
	$totalatend = 0;
	while($r2=dbfetcharray($sql2)){

	$tempo = dias($r2['DATA_INICIO'],$r2['CODIGO']);
	$totaltempo = somaHoras($tempo,$totaltempo);
	$totalatend = $totalatend + 1;
	}

	    $objPHPExcel->setActiveSheetIndex(0)
                  ->setCellValue('A'.$i,$r['NOME'])
                  ->setCellValue('B'.$i,$totalatend)
                  ->setCellValue('C'.$i,$totaltempo);
                  
				
				  
				  $i++;

} 

	  	  

header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
header('Content-Disposition: attachment;filename="relatorio-tempo-atendimento-por-usuario.xlsx"');
header('Cache-Control: max-age=0');
// If you're serving to IE 9, then the following may be needed
header('Cache-Control: max-age=1');

header ('Expires: Mon, 26 Jul 1997 05:00:00 GMT'); // Date in the past
header ('Last-Modified: '.gmdate('D, d M Y H:i:s').' GMT'); // always modified
header ('Cache-Control: cache, must-revalidate'); // HTTP/1.1
header ('Pragma: public'); // HTTP/1.0

$objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel2007');

$objWriter->save('php://output');
exit;

}
?>