<?php
header ('Access-Control-Allow-Origin: *');
session_start();

include 'php/includes/config.php'; 
include 'php/includes/mysql.php';
include 'php/includes/sessoes.php';
include 'php/includes/lib.php';


if (SessaoOK()) { 


?>
<script> incluirscriptumavez("js/acompanhamento.js"); </script>


<script>

	var selected = [];
	 
	   window.table =  $('#tbVeiculoAco').DataTable( {
		   
        "processing": true,
        "serverSide": true,
		"order": [[ 1, 'desc' ]],
	    "ajax": {
            "url": "php/listar-tabela-acompanhamento-atendimento.php", 
             "type": "POST",
				
        }, 
        "columns": [
			
			{ "data": "STATUS",  
			  "render": function ( data, type, row, meta ) {
				  var disabled='';
				  if (row.STATUS == 'ANDAMENTO'){
					   var conteudo= '<center><span class="dot dot--blue"></span></center>';
            
				  }else if (row.STATUS == 'PAUSADO'){
					   var conteudo= '<center><span class="dot " style="background:black"></span></center>';
            
				  }else if (row.STATUS == 'FINALIZADO'){
				       var conteudo= '<center><span class="dot dot--green"></span></center>';
				  
				  }else if (row.STATUS == 'CANCELADO'){
				       var conteudo= '<center><span class="dot dot--red"></span></center>';
				  }
				  
				  return conteudo;
				}  
			},
			{ "data": "CODIGO" },
			{ "data": "MUNICIPIO" ,  
			  "render": function ( data, type, row, meta ) {
				 if(row.COD_MUNICIPIO == '2000'){
				  return "São Luís";
				 }else{
				  return data;	 
				 }
				}
			},
			{ "data": "NOME" },
			{ "data": "CLIENTE" },
			{ "data": "DOCUMENTO" },
			{ "data": "COD_TIPO" ,
			  "className": "hidden",},
			 { "data": "COD_MUNICIPIO" ,
			  "className": "hidden",},  
			{ "data": "SOLICITACAO" ,  
			  "render": function ( data, type, row, meta ) {
				 if(data.length > 30){
				  return data.substr(0,30 )+"...";
				 }else{
				  return data;	 
				 }
				}
			},
			{ "data": "DESCRICAO" ,  
			  "render": function ( data, type, row, meta ) {
				 if(data.length > 30){
				  return data.substr(0,30 )+"...";
				 }else{
				  return data;	 
				 }
				}
			},
			{ "data": "DATA_INICIO" },
			{ "data": "DATA_FIM" }, 
			{ "data": "DIAS",  
			  "render": function ( data, type, row, meta ) {
				  var disabled='';
				  
				  if (row.STATUS == 'ANDAMENTO'){
					   var conteudo= '<center><span class="badge badge-primary">'+row.DIAS+'</span></center>';
            
				  }else if (row.STATUS == 'PAUSADO'){
					   var conteudo= '<center><span class="badge" style="background:black;color:white">'+row.DIAS+'</span></center>';
            
				  }else if (row.STATUS == 'FINALIZADO'){
				       var conteudo= '<center><span class="badge badge-success">'+row.DIAS+'</span></center>';
				  
				  }else if (row.STATUS == 'CANCELADO'){
				       var conteudo= '<center><span class="badge badge-danger">'+row.DIAS+'</span></center>';
				  }
				  
				  return conteudo;
				}  
			},
				 
		
		],

 
			
		
    } );
	
	
	
	$('#tbVeiculoAco tbody').on( 'click', 'tr', function () {
        if ( $(this).hasClass('selected') ) {
            $(this).removeClass('selected');
			
        }
        else {
            table.$('tr.selected').removeClass('selected');
				
            $(this).addClass('selected');
			$("#cod").val($('#tbVeiculoAco tr.selected').children(':first-child').html());
	         
			var rows = table.rows( '.selected' ).indexes();
			var data = table.rows( rows ).data();
			 
			 $("#codatendimento").val(data[0].CODIGO);
			
			$("#clienteatd").val('');
			$("#docatd").val('');
			$("#tipoatendimentoatd").val('0');
			$("#municipioatd").val('0');
			$("#descricaoatd").val(''); 
			
			$("#clienteatd").val(data[0].CLIENTE);
			$("#docatd").val(data[0].DOCUMENTO);
			$("#municipioatd2").val(data[0].COD_MUNICIPIO);
			$("#tipoatendimentoatd").val(data[0].COD_TIPO);
			$("#descricaoatd").val(data[0].DESCRICAO);
			
			
				document.getElementById("finalizar_atendimento").style.display = 'none';
				document.getElementById("cancelar_atendimento").style.display = 'none';
				document.getElementById("editar_atendimento").style.display = 'none';
				document.getElementById("pausar_atendimento").style.display = 'none';
				document.getElementById("continuar_atendimento").style.display = 'none';
			
			if(data[0].STATUS == 'FINALIZADO'){
				$("#tituloatd").html('Atendimento nº '+ data[0].CODIGO +' - <span class="dot dot--green"></span> Finalizado')
			}else if(data[0].STATUS == 'CANCELADO'){
				$("#tituloatd").html('Atendimento nº '+ data[0].CODIGO +' - <span class="dot dot--red"></span> Cancelado')
			}else if(data[0].STATUS == 'PAUSADO'){
				$("#tituloatd").html('Atendimento nº '+ data[0].CODIGO +' - <span class="dot dot--black" style="background:black"></span> Pausado')
			}else{
				$("#tituloatd").html('Atendimento nº '+ data[0].CODIGO +' - <span class="dot dot--blue"></span> Em Andamento')
			}
			
			$("#modalAcaoAtendimento").modal("show");
 
					 
			$('tr').click(function(){
			   $("#cod").val($('#tbVeiculoAco tr.selected').children(':first-child').html());
					$(this).removeClass('selected');
			  
               
            });
			

        }
    } );

	
	function atualizarPagina(){
		$.blockUI({ message: '<h1><img src="imagem/loading.gif" /></h1>' });
		$("#centro").load("principal2.php", function() { 
			 $.unblockUI();																									
		});
	}
	
</script>



<style>
.branco{
	color: #808080;
    font-size: 14px;border: none;
    outline: none;
    padding: 5px;
    -webkit-border-radius: 3px;
    -moz-border-radius: 3px;
    border-radius: 3px;
    height: 40px;
    background: #fff;
    display: -webkit-box;
    display: -webkit-flex;
    display: -moz-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -webkit-align-items: center;
    -moz-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-shadow: 0px 10px 20px 0px rgba(0, 0, 0, 0.03);
    -moz-box-shadow: 0px 10px 20px 0px rgba(0, 0, 0, 0.03);
    box-shadow: 0px 10px 20px 0px rgba(0, 0, 0, 0.03);
}
</style>
<section class="">
	<div class="">
		<div class="container-fluid">
			<div class="row">
				<div class="col-lg-12">
					
					<input type="hidden" id="codatendimento" value="" />
					
					<!--<h3 class="title-5 m-b-35">data table</h3>-->
                                
					
					<div class="table-data__tool">
                                    <div class="table-data__tool-left">
                                       <div class="rs-select2--light rs-select2--md" style="margin-right: -15px !important;padding-right: 0px !important">
											<label for="statusatd" class=" form-control-label">Status</label>
                                            <select class="mr-4 branco" id="statusaco" style="">
                                                <option value="" selected="selected">Todos os status</option>
                                                <option value="ANDAMENTO">Em andamento</option>
                                                <option value="FINALIZADO">Finalizados</option>
                                                <option value="CANCELADO">Cancelados</option>
												<option value="PAUSADO">Pausados</option>
                                            </select>
                                            
                                        </div>
										
										<div class="rs-select2--light rs-select2--md" style="width: auto !important;">
											<label for="mun"  class="form-control-label">Município</label>
                                            <select id="municipioaco" class=" branco">
										
												<option value="0">Todos</option>
												<option value="2000">São Luís</option>
												<?php	
													$t = $cfg['dbnametributo'];	
													$q = dbQuery("SELECT * FROM $t.tb_municipio WHERE cl_ativo = '1' order by cl_municipio");
													while($r = dbfetcharray($q)){
												        
														$codigo = $r['cl_codigo_municipio'];
														  $municipio = $r['cl_municipio'];
															echo "<option value='$codigo'>$municipio</option>"; 
													}
													
											
												
												 ?>
											</select>
                                            
                                        </div>
										
                                        <div class="rs-select2--light rs-select2--md">
											<label for="cliente" class=" form-control-label">Data início</label>
                                            <input type="date" id="inicio_aco" class="mr-4 branco"  />
                                        </div>
										
										<div class="rs-select2--light rs-select2--md">
											<label for="cliente" class=" form-control-label">Data fim</label>
                                            <input type="date" id="fim_aco" class="mr-4 branco"  />
                                        </div>
										
                                        <button class="au-btn-filter rs-select2--light" id="filtrar_atendimento2" style="margin-right: 3px"><i class="zmdi zmdi-filter-list"></i>filtrar</button>
                                         <button id="gerar_relatorio2" class="au-btn-filter rs-select2--light " style="background-color:green;color:white">
											<i class="fa fa-file-excel-o "></i> Relatório
										</button>
									</div>
                                   
                                </div>
					
					
					
					
					
				</div>			 
						 
			</div>
			
			
			
		</div>
		
		<div class="recent-report m-b-40" style="background-color:white">
						<div class="title-wrap">
							<h3 class="title-3">Atendimentos <!--<a href="javascript:void(0)" onClick="atualizarPagina()"><i class="zmdi zmdi-refresh ml-3"></i></a>--></h3>
							<div class="chart-info-wrap">
								<div class="chart-note ml-2 mr-2">
									<span class="dot dot--blue"></span>
									<span>Em andamento</span>
								</div>
								<div class="chart-note mr-2">
									<span class="dot dot--black" style="background:black"></span>
									<span>Pausado</span>
								</div>
								<div class="chart-note mr-2">
									<span class="dot dot--green"></span>
									<span>Finalizados</span>
								</div>
								<div class="chart-note mr-2">
									<span class="dot dot--red"></span>
									<span>Cancelados</span>
								</div>
							</div>
						</div>
						
						<div class="box-body table-responsive no-padding">	
							 <table id="tbVeiculoAco" class="table table-border table-striped table-hover"  cellspacing="0" width="auto">
									<thead>
										<tr>
										
											<th>Status</th>
											<th>Ref</th>
											<th>Município</th>
											
											<th>Usuário</th>
											<th>Solicitante</th>
											<th>Doc</th>
											<th style="display:none">Codigo</th>
											<th style="display:none">Codigo</th>
											<th>Atendimento</th>
											<th>Descrição</th> 
											<th>Início</th> 
											<th>Fim</th> 
											<th>Dias/Horas</th> 
										
											
										</tr>
									</thead> 
								  
								</table>
							</div>
						
					</div>
	</div>
</section>
<!-- END STATISTIC-->

<?php
}else{

echo "<script>window.location='index.php';</script>";
} 

?>	