<?php
header ('Access-Control-Allow-Origin: *');
session_start();


include 'includes/config.php'; 
include 'includes/mysql.php';
include 'includes/sessoes.php';


if (SessaoOK()) {
header ('Content-type: text/html; charset=utf-8');

function datapadrao($data){ 
	if($data){
		return(str_pad(substr($data,8,2),2,0,STR_PAD_LEFT)."/".str_pad(substr($data,5,2),2,0,STR_PAD_LEFT)."/".substr($data,0,4)) . ' '. substr($data,11,8);
	}
}	

function municipio($data){ 
	if($data == ''){
		return "Todos";
	}else{
		return $data;
	}
}	


function dias($datafim,$linha){
	$codatendimento = $linha['CODIGO'];
	
	list($data_fim,$status,$tempo,$data_recomeco)=dbfetchlist("SELECT DATA_FIM, STATUS, TEMPO, DATA_RECOMECO FROM OS WHERE CODIGO = '$codatendimento'");
	
	if($status != 'PAUSADO'){
		
	 if($data_recomeco != "0000-00-00 00:00:00" && $data_recomeco){

        $linha['DATA_INICIO'] = $data_recomeco;
	 }		 
		
	 if($linha['DATA_INICIO'] !== '0000-00-00'){
	  $feriados = [
			'2019-12-25',
			'2019-12-26',
			'2020-01-01'
		]; 
	  date_default_timezone_set('America/Belem');
       $hoje = date("Y-m-d H:i:s");
	   if($linha['DATA_FIM']){
		   
		   $fim = substr($linha['DATA_FIM'],0,10);
		   $datafimcompleta = $linha['DATA_FIM'];
	   }else{
		   
		   $fim = substr($hoje,0,10);
		   $datafimcompleta = $hoje;
	   }
       $inicio = substr($linha['DATA_INICIO'],0,10);
       $dias = getDiasUteis($inicio, $fim,$feriados);
	    if($dias == 1 ){
		 		  
			$horainicio = substr($linha[DATA_INICIO],11,20);
			$horainicio = DateTime::createFromFormat('H:i:s', $horainicio);
			 $horafim = substr($datafimcompleta,11,20);
			 $horafim = DateTime::createFromFormat('H:i:s', $horafim);
			$intervalo = $horainicio->diff($horafim);
			
			
		
          if($tempo){
			 
            $tempototal = somaHoras($tempo,$intervalo->format('%H:%I:%S'));
			 
			list( $h1, $m1, $s1 ) = explode( ':', $tempototal );
		
			if($h1 > 23){
				
				$diasretorno = round($h1/24);
				$horaretorno = $h1 % 24;
				
				if($horaretorno < 10){

				   $horaretorno = "0".$horaretorno;
				}	
				
				$horafinal = $horaretorno.":".$m1.":".$s1;
				
				if($diasretorno == 1){
					return $diasretorno." dia e ".$horafinal;
				}else{
					return $diasretorno." dias e ".$horafinal;
				}
			}else{  
			  
               return somaHoras($tempo,$intervalo->format('%H:%I:%S')); 
			}
		  }else{			  
			return $intervalo->format('%H:%I:%S');
		  }
			
		}else{
			
			$diareal = $dias - 1;
			
			$horainicio = substr($linha['DATA_INICIO'],11,20);
			$horainicio = DateTime::createFromFormat('H:i:s', $horainicio);
			 $horafim = substr($datafimcompleta,11,20);
			 $horafim = DateTime::createFromFormat('H:i:s', $horafim);
			 //TESTE
			if($horafim < $horainicio){ 
			   $diareal = $diareal - 1;
			   $intervalo = $horafim->diff($horainicio);
			   $intervalo = $intervalo->format('%H:%I:%S');
			   $intervalo = DateTime::createFromFormat('H:i:s', $intervalo);
			   $hora24 = '24:00:00';
			   $hora24 = DateTime::createFromFormat('H:i:s', $hora24);
			   $intervalo = $intervalo->diff($hora24);
			}else{
			   $intervalo = $horainicio->diff($horafim);
			}
			
			$horas = $intervalo->format('%H:%I:%S');
			
			if($diareal == 1){
				
				     return $diareal." dia e ".$horas;
			
			}else if($diareal > 1){
				return $diareal." dias e ".$horas;
			}else{
				
				return $horas;
				
			}
			// TESTE
		}
	   
		}else{
		   return '0';
		}
	}else{
        list( $h1, $m1, $s1 ) = explode( ':', $tempo );
		
		if($h1 > 23){
			
			$diasretorno = round($h1/24);
			$horaretorno = $h1 % 24;
			
			if($horaretorno < 10){

			   $horaretorno = "0".$horaretorno;
			}	
			
			$horafinal = $horaretorno.":".$m1.":".$s1;
			
			if($diasretorno == 1){
				return $diasretorno." dia e ".$horafinal;
			}else{
				return $diasretorno." dias e ".$horafinal;
			}
		}else{
		
             return $tempo;
		}
	}		
	
}


$datainicio = $_GET['datainicio'];
$datafim = $_GET['datafim'];
$status = $_GET['status'];
$municipio = $_GET['municipio'];

$mes = date("m");
$ano = date("Y");
$data = date("Y-m");
$primeiro_dia = date("Y-m"). "-01 00:00:00";
$ultimo_dia = date("t", mktime(0,0,0,$mes,'01',$ano));

$wheredata = '';
$wherestatus = '';
$wheremunicipio = ''; 

if($datainicio != '' && $datafim != ''){ 
	$wheredata = "AND ate.DATA_INICIO BETWEEN ('" . $datainicio ." 00:00:00') AND ('" .$datafim." 23:59:59')";
	
}else if($datainicio != '' && $datafim == ''){
	$wheredata = "AND ate.DATA_INICIO >= ".  "'" .$datainicio." 00:00:00'";
}else if($datainicio == '' && $datafim != ''){
	$wheredata = "AND ate.DATA_INICIO <= ".  "'" .$datafim." 23:59:59'";
}else{
	$wheredata = "";
}

if($status){
	$wherestatus = "AND ate.STATUS = '$status'";
}

if($municipio > 0){
	$wheremunicipio = "AND ate.COD_MUNICIPIO = '$municipio'";
}

// DB table to use
$table = 'OS';


// Table's primary key
$primaryKey = 'CODIGO';
 

 $columns = array(
	array( 'db' =>'`ate`.`CODIGO`', 'dt' => 'CODIGO','field'=>'CODIGO'),
	array( 'db' =>'`ate`.`COD_MUNICIPIO`', 'dt' => 'COD_MUNICIPIO','field'=>'COD_MUNICIPIO'),
	array( 'db' =>'`ate`.`STATUS`', 'dt' => 'STATUS','field'=>'STATUS'),
	array( 'db' =>'`ate`.`DESCRICAO`', 'dt' => 'DESCRICAO','field'=>'DESCRICAO'),
	array( 'db' =>'`ate`.`CLIENTE`', 'dt' => 'CLIENTE','field'=>'CLIENTE'),
	array( 'db' =>'`ate`.`DOCUMENTO`', 'dt' => 'DOCUMENTO','field'=>'DOCUMENTO'),
	array( 'db' =>'`ate`.`COD_TIPO`', 'dt' => 'COD_TIPO','field'=>'COD_TIPO'),
	array( 'db' =>'`ate`.`DATA_INICIO`', 'dt' => 'DATA_INICIO','field'=>'DATA_INICIO', 'formatter' =>datapadrao),
	array( 'db' =>'`ate`.`DATA_FIM`', 'dt' => 'DATA_FIM','field'=>'DATA_FIM', 'formatter' =>datapadrao),
	array( 'db' =>'`ate`.`TEMPO`', 'dt' => 'TEMPO','field'=>'TEMPO'),
	array( 'db' => 'DATA_INICIO', 'as'=> 'DATA_INICIO',  'dt' => 'DIAS','field'=>'CODIGO','formatter' =>dias  ),
	
	array( 'db' =>'`tip`.`DESCRICAO`', 'dt' => 'SOLICITACAO','field'=>'SOLICITACAO', 'as' => 'SOLICITACAO'),
	array( 'db' =>'`log`.`NOME`', 'dt' => 'NOME','field'=>'NOME'),
	array( 'db' =>'`mun`.`cl_municipio`', 'dt' => 'MUNICIPIO','field'=>'MUNICIPIO', 'as' => 'MUNICIPIO', 'formatter' =>municipio),
	    
);  

$t = $cfg['dbnametributo'];

$joinQuery = "FROM `OS`  AS `ate`
  LEFT JOIN `TIPO_OS` AS `tip` ON (`ate`.`COD_TIPO` = `tip`.`CODIGO`) 
  LEFT JOIN `LOGIN` AS `log` ON (`ate`.`COD_USUARIO` = `log`.`CODIGO`)
  LEFT JOIN $t.tb_municipio AS `mun` ON (`ate`.`COD_MUNICIPIO` = `mun`.`cl_codigo_municipio`)"; 


$codigo = $_SESSION['login']['CODIGO'];
$tipouser = $_SESSION['login']['TIPO'];

$where = "ate.COD_USUARIO = '$codigo' $wheredata $wherestatus $wheremunicipio"; 


//}
// SQL server connection information

$sql_details = $sql_details;
 
 
/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * If you just want to use the basic configuration for DataTables with PHP
 * server-side, there is no need to edit below this line.
 */
 
require( 'ssp.class.php' );
 
echo json_encode(
    SSP::simple( $_POST, $sql_details, $table, $primaryKey, $columns, $where, $joinQuery ) 
);



}else{

include "login.html";
} 

?>

