<?php
header ('Access-Control-Allow-Origin: *');
session_start();

include 'php/includes/config.php'; 
include 'php/includes/mysql.php';
include 'php/includes/sessoes.php';
include 'php/includes/lib.php';


if (SessaoOK()) { 


?>
<script> incluirscriptumavez("js/principal2.js"); </script>

 



<script>

	var selected = [];
	 
	   window.tablec =  $('#tbVeiculo').DataTable( {
		   
        "processing": true,
        "serverSide": true,
		"order": [[ 1, 'desc' ]],
	    "ajax": {
            "url": "php/listar-tabela-atendimento.php", 
             "type": "POST",
				
        }, 
        "columns": [
			
			{ "data": "STATUS",  
			  "render": function ( data, type, row, meta ) {
				  var disabled='';
				  if (row.STATUS == 'ANDAMENTO'){
					   var conteudo= '<center><span class="dot dot--blue"></span></center>';
            
				  }else if (row.STATUS == 'PAUSADO'){
					   var conteudo= '<center><span class="dot " style="background:black"></span></center>';
            
				  }else if (row.STATUS == 'FINALIZADO'){
				       var conteudo= '<center><span class="dot dot--green"></span></center>';
				  
				  }else if (row.STATUS == 'CANCELADO'){
				       var conteudo= '<center><span class="dot dot--red"></span></center>';
				  }
				  
				  return conteudo;
				}  
			},
			{ "data": "CODIGO" },
			{ "data": "MUNICIPIO" ,  
			  "render": function ( data, type, row, meta ) {
				 if(row.COD_MUNICIPIO == '2000'){
				  return "São Luís";
				 }else{
				  return data;	 
				 }
				}
			},
			{ "data": "CLIENTE" },
			{ "data": "DOCUMENTO" },
			{ "data": "COD_TIPO" ,
			  "className": "hidden",},
			  { "data": "COD_MUNICIPIO" ,
			  "className": "hidden",},
			{ "data": "SOLICITACAO" ,  
			  "render": function ( data, type, row, meta ) {
				 if(data.length > 40){
				  return data.substr(0,40 )+"...";
				 }else{
				  return data;	 
				 }
				}
			},
			{ "data": "DESCRICAO" ,  
			  "render": function ( data, type, row, meta ) {
				 if(data.length > 40){
				  return data.substr(0,40 )+"...";
				 }else{
				  return data;	 
				 }
				}
			},
			{ "data": "DATA_INICIO" },
			{ "data": "DATA_FIM" }, 
			{ "data": "DIAS",  
			  "render": function ( data, type, row, meta ) {
				  var disabled='';
				  if (row.STATUS == 'ANDAMENTO'){
					   var conteudo= '<center><span class="badge badge-primary">'+row.DIAS+'</span></center>';
            
				  }else if (row.STATUS == 'PAUSADO'){
					   var conteudo= '<center><span class="badge" style="background:black;color:white">'+row.DIAS+'</span></center>';
            
				  }else  if (row.STATUS == 'FINALIZADO'){
				       var conteudo= '<center><span class="badge badge-success">'+row.DIAS+'</span></center>';
				  
				  }else if (row.STATUS == 'CANCELADO'){
				       var conteudo= '<center><span class="badge badge-danger">'+row.DIAS+'</span></center>';
				  }
				  
				  return conteudo;
				}  
			},
			{
                "data": "null",
                "className": "center",
                "defaultContent": '<center><button  class="btn btn-success btn-sm"><i class="fa fa-edit white "></i> </button></center>'
            },
				 
		
		],

 
			
		
    } );
	
	
	
	$('#tbVeiculo tbody').on( 'click', 'tr', function () {
        if ( $(this).hasClass('selected') ) {
            $(this).removeClass('selected');
			
        }
        else {
            tablec.$('tr.selected').removeClass('selected');
				
            $(this).addClass('selected');
			$("#cod").val($('#tbVeiculo tr.selected').children(':first-child').html());
	         
			var rows = tablec.rows( '.selected' ).indexes();
			var data = tablec.rows( rows ).data();
			
			$("#codatendimento").val(data[0].CODIGO);
			
			$("#clienteatd").val('');
			$("#docatd").val('');
			$("#municipioatd2").val('0');
			$("#tipoatendimentoatd").val('0');
			$("#descricaoatd").val(''); 
			
			$("#clienteatd").val(data[0].CLIENTE);
			$("#docatd").val(data[0].DOCUMENTO);
			$("#municipioatd2").val(data[0].COD_MUNICIPIO);
			$("#tipoatendimentoatd").val(data[0].COD_TIPO);
			$("#descricaoatd").val(data[0].DESCRICAO);
			
			if(data[0].STATUS == 'FINALIZADO' || data[0].STATUS == 'CANCELADO'){
				document.getElementById("finalizar_atendimento").style.display = 'none';
				document.getElementById("cancelar_atendimento").style.display = 'none';
				document.getElementById("editar_atendimento").style.display = 'none';
				document.getElementById("pausar_atendimento").style.display = 'none';
				document.getElementById("continuar_atendimento").style.display = 'none';
			}else if(data[0].STATUS == 'PAUSADO'){
				document.getElementById("finalizar_atendimento").style.display = 'none';
				document.getElementById("cancelar_atendimento").style.display = 'none';
				document.getElementById("editar_atendimento").style.display = 'none';
				document.getElementById("pausar_atendimento").style.display = 'none';
				document.getElementById("continuar_atendimento").style.display = '';
			}else{
				
				document.getElementById("finalizar_atendimento").style.display = '';
				document.getElementById("cancelar_atendimento").style.display = '';
				document.getElementById("editar_atendimento").style.display = '';
				document.getElementById("pausar_atendimento").style.display = '';
				document.getElementById("continuar_atendimento").style.display = 'none';
			}
			
			if(data[0].STATUS == 'FINALIZADO'){
				$("#tituloatd").html('Atendimento nº '+ data[0].CODIGO +' - <span class="dot dot--green"></span> Finalizado')
			}else if(data[0].STATUS == 'CANCELADO'){
				$("#tituloatd").html('Atendimento nº '+ data[0].CODIGO +' - <span class="dot dot--red"></span> Cancelado')
			}else if(data[0].STATUS == 'PAUSADO'){
				$("#tituloatd").html('Atendimento nº '+ data[0].CODIGO +' - <span class="dot dot--black" style="background:black"></span> Pausado')
			}else{
				$("#tituloatd").html('Atendimento nº '+ data[0].CODIGO +' - <span class="dot dot--blue"></span> Em Andamento')
			}
			
			$("#modalAcaoAtendimento").modal("show");
			
		
			
			window.scrollTo(0, 0);
			$( 'html, body' ).animate( { scrollTop: 0 }, 'slow' ); 
 
					 
			$('tr').click(function(){
			   $("#cod").val($('#tbVeiculo tr.selected').children(':first-child').html());
					$(this).removeClass('selected');
			  
               
            });
			

        }
    } );

	
	function atualizarPagina(){
		$.blockUI({ message: '<h1><img src="imagem/loading.gif" /></h1>' });
		$("#centro2").load("principal2.php", function() { 
			 $.unblockUI();																									
		});
	}
	
</script>




<style>
.branco{
	color: #808080;
    font-size: 14px;border: none;
    outline: none;
    padding: 5px;
    -webkit-border-radius: 3px;
    -moz-border-radius: 3px;
    border-radius: 3px;
    height: 40px;
    background: #fff;
    display: -webkit-box;
    display: -webkit-flex;
    display: -moz-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -webkit-align-items: center;
    -moz-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-shadow: 0px 10px 20px 0px rgba(0, 0, 0, 0.03);
    -moz-box-shadow: 0px 10px 20px 0px rgba(0, 0, 0, 0.03);
    box-shadow: 0px 10px 20px 0px rgba(0, 0, 0, 0.03);
} 
</style>
<section class="">
	<div class="">
		<div class="container-fluid">
			<div class="row">
				<div class="col-lg-12">
					
					<?//print_r($_SESSION)?>
					
					<div class="container">
						
						<div class="row">
							<div class="col-lg-12">
								<div class="card">
								  <div class="card-header">
									<strong>Documentos disponíveis</strong>
								  </div>
								  <div class="card-body">
										
										<div class="row" style="margin-top:20px">
			
											<div class="col-lg-3 col-md-3 col-sm-6 col-xs-12">
												<center><a href="processos/p11.pdf" target="_blank"><img src="images/pdf.png" style="width:100px;margin-bottom:10px">
												<p style="color:#6e6e6e ">Documento</p></a></center> 
											</div>
											
										</div>
									
								  </div>
								</div>
								
								
							</div>
                        </div>
						
						<div class="row">
							<div class="col-lg-12">
								<div class="card">
								  <div class="card-header">
									<strong>Pagamentos em aberto</strong>
								  </div>
								  <div class="card-body">
										
										<div class="row" style="margin-top:20px">
			
											<div class="col-lg-3 col-md-3 col-sm-6 col-xs-12">
												<center><a href="processos/p11.pdf" target="_blank"><img src="images/boleto.png" style="width:100px;margin-bottom:10px">
												<p style="color:#6e6e6e ">DAM (Descrição da DAM)</p></a></center> 
											</div>
											<div class="col-lg-3 col-md-3 col-sm-6 col-xs-12">
												<center><a href="processos/p12.pdf" target="_blank"><img src="images/boleto.png" style="width:100px;margin-bottom:10px">
												<p style="color:#6e6e6e ">DAM (Descrição da DAM)</p></a></center> 
											</div>
											<div class="col-lg-3 col-md-3 col-sm-6 col-xs-12">
												<center><a href="processos/p13.pdf" target="_blank"><img src="images/boleto.png" style="width:100px;margin-bottom:10px">
												<p style="color:#6e6e6e ">DAM (Descrição da DAM)</p></a></center> 
											</div>
										
										</div>
									
								  </div>
								</div>
								
								
							</div>
                        </div>
						
						
						
					</div>
					
				</div>			 
						 
			</div>
		</div>
	</div>
</section>
<!-- END STATISTIC-->

<?php
}else{

echo "<script>window.location='index.php';</script>";
} 

?>	